import { store } from "../store";
import { API } from "../utils";

API().interceptors.request.use(
  async config => {
    const expiryDate = new Date();

    expiryDate.setMinutes(
      expiryDate.getMinutes() + (Number(process.env.REACT_APP_TTL) - 1)
    );

    if (expiryDate.getTime() < Date.now()) {
      if (config.headers) config.headers.authorization = `Bearer ${token}`;
    }

    return config;
  },
  error => {
    return Promise.reject(error);
  },
);
